# Specfile for NewsAdmin

%define name	ksm-newsadmin
%define version	1.0.0
%define release	2.0.0
%define _arch	noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _bindir		/usr/local/bin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Admin programs for the newsmaster
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Networking/News/Utilities
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	samplepkg,samplecapab
Requires:	inn,suck
Requires:	ksm-lib-sh >= 4.0.0-0.0.0,ksm-textproc >= 1.0.1-9.0.0
#Provides:	sampled
#Conflicts:	sampled-other,libsample == 0.0.0
#Obsoletes:	mysampled

%description
This package contains admin programs for the newsmaster.

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/sample.conf
#%config %{_confdir}/sample.conf
#%config %{_scnfdir}/sample
#%attr(644,root,root)%{_confdir}/sample.conf
#%attr(644,root,root)%{_scnfdir}/sample

#%attr(744,root,root)%{_rcdir}/sampled
#%attr(777,root,root)%{_bindir}/rcsampled

%attr(744,news,news)%{_bindir}/makeactive
%attr(744,news,news)%{_bindir}/newsadd
%attr(744,news,news)%{_bindir}/newsdel
%attr(744,news,news)%{_bindir}/newsgetlist
%attr(744,news,news)%{_bindir}/newspause
%attr(744,news,news)%{_bindir}/newssearch
%attr(744,news,news)%{_bindir}/newsthrottle
%attr(744,news,news)%{_bindir}/newstoggle

%{_datadir}/RELEASE
%{_datadir}/VERSION

#/usr/share/applications/sample.desktop
#%{_icondir}/16x16/apps/sample.png
#%{_icondir}/22x22/apps/sample.png
#%{_icondir}/32x32/apps/sample.png
#%{_icondir}/48x48/apps/sample.png
#%{_icondir}/64x64/apps/sample.png
#%{_icondir}/128x128/apps/sample.png
#/usr/share/pixmaps/sample.png

#%docdir %{_man1dir}
#%{_man1dir}/sample.1.gz

%docdir %{_man8dir}
%{_man8dir}/makeactive.8.gz
%{_man8dir}/newsadd.8.gz
%{_man8dir}/newsdel.8.gz
%{_man8dir}/newsgetlist.8.gz
%{_man8dir}/newspause.8.gz
%{_man8dir}/newssearch.8.gz
%{_man8dir}/newsthrottle.8.gz
%{_man8dir}/newstoggle.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
#%{_docdir}/README.de

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# disable sample and stop sampled
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop > /dev/null 2>&1

# backup config files
#test -e %{_confdir}/sample.conf && cp %{_confdir}/sample.conf %{_confdir}/sample.conf.rpmsave
#test -e %{_scnfdir}/sample && cp %{_scnfdir}/sample %{_scnfdir}/sample.rpmsave

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname and all config vars from new config file
#cf=%{_confdir}/sample.conf
#cnfvars='MyVar1 MyVar2'

# install desktop files
#xdg-desktop-menu install --novendor \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

#if [ "$1" == 1 ]; then					# install package
#	# set links
#	ln -sf %{_rcdir}/sampled rcsampled
#	ln -sf /usr/bin/prog %{_bindir}/mysample
#
#	echo "Configure $cf"
#	echo "Users must create HOME/.samplerc with update-sample"
#else							# upgrade package
#	# update global conf
#	c=''
#	s=''
#	t=''
#	ret=0
#	if [ -e $cf.rpmsave ]; then
#		#cp $cf $cf.rpmnew
#		. $cf
#		. $cf.rpmsave
#		if [ -x %{_bindir}/replcnfvar ]; then
#			for c in $cnfvars; do
#				t="\$$c"
#				eval s="$t"
#				s=\"$s\"
#				%{_bindir}/replcnfvar $cf $c "$s"
#			done
#		else
#			echo "Error - cmd replcnfvar not found or not executable!" >&2
#			echo "Conf file not updated!" >&2
#		fi
#
#		# update array vars MainArr
#		cnt=${#MainArr[@]}			# max index of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any arrays in use?
#			while [ "$i" -lt $cnt ]; do
#				let i++
#				# array MainArr
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#
#		diff $cf $cf.rpmsave > /dev/null 2>&1
#		ret=$?
#		if [ "$ret" -eq 0 ]; then
#			rm $cf.rpmsave
#		else
#			echo "Check $cf"
#		fi
#	fi
#
#	echo "If new version then users must update HOME/.samplerc with update-sample"
#fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

# disable sample and stop sampled
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampled && %{_rcdir}/sampled stop > /dev/null 2>&1

#if [ "$1" == 0 ]; then					# remove package
#	# backup config files
#	test -e %{_confdir}/sample.conf && cp %{_confdir}/sample.conf %{_confdir}/sample.conf.rpmsave
#	test -e %{_scnfdir}/sample && cp %{_scnfdir}/sample %{_scnfdir}/sample.rpmsave
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/sampledir

	# rm links
	#test -e %{_bindir}rcsampled && rm -f %{_bindir}rcsampled
	#test -e %{_bindir}/mysample && rm -f %{_bindir}/mysample

	# uninstall desktop files
	#xdg-desktop-menu uninstall \
	#	/usr/share/applications/sample.directory \
	#	/usr/share/applications/sample.desktop \
	#	/usr/share/applications/sample-admin.desktop
#else							# upgrade package
	# enable sample and start sampled
	#%{_bindir}/togglesample -e -q > /dev/null 2>&1
	#%{_rcdir}/sampled start > /dev/null 2>&1
fi
exit 0

%changelog
* Thu Jan 06 2022 Repomaster <repomaster@kaesmann-online.de> 1.0.0-2.0.0
- Update to the libfuncstd-sh 4.0.0

* Mon Feb 06 2017 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.3.0
- All scripts have been revised/improved
  (using functiom GetOpt).

* Thu Dec 22 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.2.0
- All scripts have been revised.

* Wed Oct 15 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.0-1.1.1
- The docu of the package has been revised.

* Fri Sep 28 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-1.1.0
- The package has been revised.

* Tue Apr 03 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-1.0.0
- The release naming scheme has changed ('.ksm' is removed).

* Tue Jan 04 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-1.0.0.ksm
- The package name has changed to avoid conflicts with the openSUSE
  distribution. It has been prepended with 'ksm-'.

* Wed May 12 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-1.0.0.ksm
- Script newsgetlist is corrected.

* Tue Feb 02 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.0.4.ksm
- Read version and dependency infos from external files.

* Wed Jan 27 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.0.3.ksm
- The docu has changed.

* Fri Jan 15 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.0.2.ksm
- The package name (Release) has changed.

* Thu Nov 19 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0-0.ksm.0.1
- The RPM scriptlets are corrected.

* Mon Oct 26 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0
- The package management has changed to RPM.
